<?php

namespace NoccyLabs\App\Attribute;

use Attribute;

#[Attribute(Attribute::TARGET_CLASS)]
class AppInfo
{
    public function __construct(
        public readonly string $name,
        public readonly ?string $version=null,
        public readonly ?string $summary=null,
        public readonly ?string $license=null,
        public readonly ?string $copyright=null,
        public readonly null|string|array $description=null,
        public readonly null|string|array $comments=null,
    )
    {        
    }
}