<?php

namespace NoccyLabs\App\Attribute;

use Attribute;

#[Attribute(Attribute::TARGET_PROPERTY)]
class AsOption
{
    public function __construct(
        public readonly ?string $short=null,
        public readonly ?string $long=null,
        public readonly bool|string $hasValue=false,
        public readonly ?string $description=null,
        public readonly ?string $envvar=null,
        public readonly mixed $entry=null,
        public readonly mixed $guard=null,
        public readonly ?string $group=null,
    )
    {        
    }
}