<?php

namespace NoccyLabs\App\Trait;

use NoccyLabs\App\Attribute\AppInfo;
use NoccyLabs\App\Trait\Lockfile\Lockfile;
use Phar;
use ReflectionClass;

trait AppTrait
{

    /**
     * Get the path of the executable
     */
    public function getExecutablePath(): string
    {
        if (class_exists("Phar") && ($p = Phar::running())) {
            return dirname($p);
        }
        $p = dirname(realpath($GLOBALS['argv'][0]));
        if (file_exists(dirname($p)."/composer.json")) {
            return dirname($p);
        }
        return $p;
    }

}